Frage UnicodeDecodeError beim Release-Upgrade (Ubuntu 14.04 LTS> 16.04 LTS)


Es gibt eine Ubuntu 14.04.05 LTS Server-VM, die auf Ubuntu 16.04.02 LTS aufgerüstet werden muss. Leider bekomme ich beim dist-upgrade folgenden Fehler:

  **File "/tmp/ubuntu-release-upgrader-4b8li6el/DistUpgrade
/DistUpgradeCache.py", line 806, in installedTasks
for line in pkg._pcache._records.record.split("\n"):

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xae in position
337: invalid start byte**

Ein Workaround im Bug Tracker, aber es hat nicht für mich funktioniert:
https://bugs.launchpad.net/ubuntu/+source/update-manager-core/+bug/1453740

Andere Tipps, die nicht funktionierten: 

LC_ALL=de_DE.UTF-8 LANG=de_DE.UTF-8 LANGUAGE=de_DE.UTF-8  
LC_ALL=de_DE.iso-8859-1 LANG=de_DE.iso-8859-1 LANGUAGE=de_DE.iso-8859-1

Hier sind die Befehle, die ich für das Upgrade verwendet habe: 

sudo apt-get update  
sudo apt-get dist-upgrade  
sudo apt-get install update-manager-core  
sudo do-release-upgrade  

Die Protokolle aus dem Screenlog:
https://pastebin.com/SeWB5E9y


2
2018-03-29 14:52


Ursprung




Antworten: